in scala.io
class Source

abstract `class` Source
  `extends` java.lang.Object
  `with` scala.Iterator[scala.Char]
  `with` scala.ScalaObject

  an iterable representation of source files. calling method reset returns an identical, resetted source

author:
  buraq

Constructor Summary
| `def` this

Def Summary
| `def` getLine ( line : scala.Int ) : java.lang.String convenience method, returns given line (not including newline) from Source
| `def` hasNext : scala.Boolean returns true if this source has more characters
`protected` | `def` iter : scala.Iterator[scala.Char] the actual iterator
| `def` next : scala.Char returns next character and has the following side-effects: updates position (ccol and cline) and assigns the character to ch
| `def` report ( pos : scala.Int , msg : java.lang.String , out : java.io.PrintStream ) : scala.Unit
| `def` reportError ( pos : scala.Int , msg : java.lang.String ) : scala.Unit reports an error message to console
| `def` reportError ( pos : scala.Int , msg : java.lang.String , out : java.io.PrintStream ) : scala.Unit
| `def` reportWarning ( pos : scala.Int , msg : java.lang.String ) : scala.Unit reports a warning message to java.lang.System.out
| `def` reportWarning ( pos : scala.Int , msg : java.lang.String , out : java.io.PrintStream ) : scala.Unit
| `def` reset : scala.io.Source the actual reset method

Constructor Detail

`def` this

Def Detail

`def` getLine ( line : scala.Int ) : java.lang.String

  convenience method, returns given line (not including newline) from Source

`def` hasNext : scala.Boolean

  returns true if this source has more characters

protected `def` iter : scala.Iterator[scala.Char]

  the actual iterator

`def` next : scala.Char

  returns next character and has the following side-effects: updates position (ccol and cline) and assigns the character to ch

`def` report ( pos : scala.Int , msg : java.lang.String , out : java.io.PrintStream ) : scala.Unit

`def` reportError ( pos : scala.Int , msg : java.lang.String ) : scala.Unit

  reports an error message to console

`def` reportError ( pos : scala.Int , msg : java.lang.String , out : java.io.PrintStream ) : scala.Unit

`def` reportWarning ( pos : scala.Int , msg : java.lang.String ) : scala.Unit

  reports a warning message to java.lang.System.out

`def` reportWarning ( pos : scala.Int , msg : java.lang.String , out : java.io.PrintStream ) : scala.Unit

`def` reset : scala.io.Source

  the actual reset method